<?xml version="1.0" encoding="UTF-8"?>
<project default="generate" name="no.ntnu.tdt4250.sm.genjava">
    <property name="ECLIPSE_HOME" value="../../../../TDT4250/eclipse-dsl-2023-06-R-linux-gtk-x86_64/eclipse"/>
    <property name="ECLIPSE_WORKSPACE" value="../../../../TDT4250/workspace"/>

    <!-- The classpath with only the dependencies used by the project -->
    <path id="no.ntnu.tdt4250.sm.genjava.libraryclasspath">
        <pathelement location="${ECLIPSE_WORKSPACE}/no.ntnu.tdt4250.sm.genjava/bin"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.justj.openjdk.hotspot.jre.full.linux.x86_64_17.0.8.v20230831-1047/jre/lib/jrt-fs.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.osgi.annotation.versioning_1.1.2.202109301733.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.osgi.annotation.bundle_2.0.0.202202082230.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.osgi.service.component.annotations_1.5.1.202212101352.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.osgi.service.metatype.annotations_1.4.1.202109301733.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.runtime_3.29.0.v20230726-0617.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi_3.18.500.v20230801-1826.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi.compatibility.state_1.2.800.v20221116-1440.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.common_3.18.100.v20230730-1117.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.jobs_3.15.0.v20230808-1403.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.registry_3.11.300.v20230801-1826.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.preferences_3.10.300.v20230630-1303.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.osgi.service.prefs_1.1.2.202109301733.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.contenttype_3.9.100.v20230630-1232.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.app_1.6.300.v20230630-1303.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore_2.35.0.v20230829-0934.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.common_2.29.0.v20230810-0713.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore.xmi_2.35.0.v20230801-1141.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl_3.18.0.v20221201-0557.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/lpg.runtime.java_2.0.17.v201004271640.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.common_1.18.0.v20221201-0557.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.ecore_3.18.0.v20221201-0557.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.common_3.7.13.202304041222.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.model_3.7.13.202304041222.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.profiler_3.7.13.202304041222.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.engine_3.7.13.202304041222.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen.ecore_2.35.0.v20230801-1141.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen_2.23.0.v20230211-1150.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/com.google.guava_32.1.2.jre.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.pivot_1.18.0.v20221201-0557.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.jdt.annotation_2.2.700.v20220826-1026.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.edit_2.19.0.v20230828-0616.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore.change_2.15.0.v20230211-1150.jar"/>
    </path>

    <path id="no.ntnu.tdt4250.sm.genjava.classpath">
        <path refid="no.ntnu.tdt4250.sm.genjava.libraryclasspath"/>
    </path>

    <!-- The classpath with only the jars available in the plugin folder of Eclipse -->
    <path id="no.ntnu.tdt4250.sm.genjava.libraryclasspath.alljars">
        <pathelement location="../no.ntnu.tdt4250.sm.genjava/bin"/>
        <fileset dir="${ECLIPSE_HOME}/plugins/" includes="*.jar"/>
    </path>

    <path id="no.ntnu.tdt4250.sm.genjava.classpath.alljars">
        <path refid="no.ntnu.tdt4250.sm.genjava.libraryclasspath.alljars"/>
    </path>

    <!-- The default task with the jars used by this project -->
    <target name="generate">
        <java classname="no.ntnu.tdt4250.sm.genjava.main.Generate" classpathref="no.ntnu.tdt4250.sm.genjava.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>

    <!--
        In case of problem you can also try with all the jar available in your Eclipse
        Keep in mind that having two versions of the same jar can create problems
    -->
    <target name="generate.alljars">
        <java classname="no.ntnu.tdt4250.sm.genjava.main.Generate" classpathref="no.ntnu.tdt4250.sm.genjava.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>
</project>
